%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions
%define modname chardet
%define modfullname mod_%{modname}

Summary: php character set detect extension
Summary(ko): php 캐릭터셋 감지 확장
Name: php-%{modname}
Version: 1.0.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: http://mirror.oops.org/pub/oops/php/extensions/mod_chardet/
Source0: %{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi libchardet
BuildRequires: php-devel libchardet-devel

%description
%{modfullname} extension detect character set for given strings. This
extension is based on libchardet that is based on Mozilla Universal
Charset Detector library and, detects the character set used to
encode data.

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli,fpm}
for i in apache cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php.d/apache/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php.d/fpm/%{modname}.ini

%changelog
* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 1:1.0.1-1%{?dist}
- update 1.0.1 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:0.0.4-1%{?dist}
- rebuilt on AN3

* Sat Dec 15 2012 JoungKyun.Kim <http://oops.org> 10:0.0.4-1%{?dist}
- update 0.0.4 for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:0.0.3-1%{?dist}
- first packaged

